Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Pango::LayoutRun Class Reference

A PangoLayoutRun C++ wrapper class. More...

`#include <inti/pango/layout.h>`

List of all members.

## Public Member Functions

Accessors

- PangoLayoutRun * pango_layout_run () const
    Get a pointer to the PangoLayoutRun structure.
- Pointer< Item > item () const
    Returns a smart pointer to an Item object that provides information about a segment of text.
- Pointer< GlyphString > glyphs () const
    Returns a smart pointer to a string of glyphs obtained by shaping the text corresponding to item.

## Detailed Description

A PangoLayoutRun C++ wrapper class.

LayoutRun is a pair of a Pango::Item and the glyphs resulting from shaping the text corresponding to an item. As an example of the usage of LayoutRun, the results of shaping text with Pango::Layout is a list of LayoutLine, each of which contains a list of LayoutRun.

The documentation for this class was generated from the following file:

- pango/layout.h

Main Page - Footer